nixos-config/packages/tools/audio/ebu-norm/0000-remove-dep-check.patch

112 lines
2.0 KiB
Diff

diff --git a/ebu-norm b/ebu-norm
index ab5fdfe..57d4ca8 100755
--- a/ebu-norm
+++ b/ebu-norm
@@ -12,21 +12,6 @@ THR=-1
# sound-gambit release time (default 10, range 1 to 1000)
REL=10
-# Check availability of dependencies
-function checkAvail()
-{
- which "$1" >/dev/null 2>&1
- ret=$?
- if [ $ret -ne 0 ]
- then
- echo "tool \"$1\" not found." >&2
- exit 1
- fi
-}
-
-for tool in {ffmpeg,bc,sound-gambit}; \
- do checkAvail "$tool"; done
-
#Check for audio files
NUMARG=0
for file in "$@"; do
diff --git a/ebu-plot b/ebu-plot
index 5fb7438..4612fff 100755
--- a/ebu-plot
+++ b/ebu-plot
@@ -23,21 +23,6 @@ then
fi
done
-# Check availability of dependencies
-function checkAvail()
-{
- which "$1" >/dev/null 2>&1
- ret=$?
- if [ $ret -ne 0 ]
- then
- echo "tool \"$1\" not found." >&2
- exit 1
- fi
-}
-
-for tool in {pwsh,ffmpeg,gnuplot}; \
- do checkAvail "$tool"; done
-
# Command usage check
if [ $# -eq 0 ]
then
@@ -82,4 +67,4 @@ echo "Done!"
echo
echo "Skipped items: $SKIPPED"
cat $SKIPFILE
-rm $SKIPFILE
\ No newline at end of file
+rm $SKIPFILE
diff --git a/ebu-scan b/ebu-scan
index 11736d6..8190223 100755
--- a/ebu-scan
+++ b/ebu-scan
@@ -4,21 +4,6 @@
# Usage: ebu-scan <input files>.
-# Check availability of dependencies
-function checkAvail()
-{
- which "$1" >/dev/null 2>&1
- ret=$?
- if [ $ret -ne 0 ]
- then
- echo "tool \"$1\" not found." >&2
- exit 1
- fi
-}
-
-for tool in ffmpeg ; \
- do checkAvail "$tool"; done
-
#Check for audio files and enumerate
NUMARG=0
for file in "$@"; do
diff --git a/tp-norm b/tp-norm
index b8e4997..894f440 100755
--- a/tp-norm
+++ b/tp-norm
@@ -6,21 +6,6 @@
# Option:
# -t Specify true peak target, e.g. -t -2
-# Check availability of dependencies
-function checkAvail()
-{
- which "$1" >/dev/null 2>&1
- ret=$?
- if [ $ret -ne 0 ]
- then
- echo "tool \"$1\" not found." >&2
- exit 1
- fi
-}
-
-for tool in {ffmpeg,bc}; \
- do checkAvail "$tool"; done
-
#Check for audio files
NUMARG=0
for file in "$@"; do